{% extends 'base.html.twig' %}

{% block icon %}fa fa-id-card{% endblock %}
{% block title %}Niveaux de service{% endblock %}
{% block breadcrumb %}
    <li>Référentiel archivage</li>
    <li class="active">Niveaux de service</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        {% if can_access('app_service_level_add') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_service_level_add') }}"
                data-title="Créer un niveau de service"
                data-table="#{{ table.id() }}"
            >
                <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                Créer un niveau de service
            </button>
        {% endif %}

        {% if can_access('app_service_level_import1') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_service_level_import1') }}"
                data-title="Importer des niveaux de service"
                data-table="#{{ table.id() }}"
                data-btn-accept-content="{{ '<i class="fa fa-right-long" aria-hidden="true"></i><span>Etape 2</span>'|escape('html') }}"
            >
                <i class="fa fa-upload fa-space" aria-hidden="true"></i>
                Importer des niveaux de service
            </button>
        {% endif %}

        {% if can_access('app_service_level_export') %}
            <a href="{{ url('app_service_level_export', app.request.query.all) }}" download="export_service_levels.refae" target="_blank" class="btn btn-primary">
                <i class="fa fa-download fa-space" aria-hidden="true"></i>Exporter les éléments publiés
            </a>
        {% endif %}
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des niveaux de service"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_service_level_csv', app.request.query.all) }}" data-link-download-csv="%s_service_level.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>

{% endblock %}

{% block bottomScript %}
{#    TODO: faire un template #}
    <script>
        $(function() {
            let table = $('#{{ table.id() }}');
            let generator = table.data('tableGenerator');
            table.on(
                'modal_form_success',
                (event, content, jqXHR) => {
                    let previousVersionId = jqXHR.getResponseHeader('X-Asalae-PreviousVersionId');
                    if (previousVersionId) {
                        generator.removeDataId(previousVersionId);
                        generator.decrementPaginator(table.closest('section').find('.pagination-counters'));
                        generator.generateAll();
                    }
                }
            );
        });
    </script>
{% endblock %}
